function init()
	RegisterTool("lightswitch", "Light Switch", "MOD/vox/switch.vox", 5)
	SetBool("game.tool.lightswitch.enabled", true)

	click = LoadSound("MOD/snd/click.ogg")


	def_sky_r,def_sky_g,def_sky_b = GetEnvironmentProperty("skyboxtint")
	def_skyboxbrightness = GetEnvironmentProperty("skyboxbrightness")
	def_constant = GetEnvironmentProperty("constant")
	def_fog_r,def_fog_g,def_fog_b = GetEnvironmentProperty("fogcolor")
	def_sun_r,def_sun_g,def_sun_b = GetEnvironmentProperty("sunColorTint")
	def_nightlight = GetEnvironmentProperty("nightlight")
	def_sundir = GetEnvironmentProperty("sundir")

	coolDown = 0

	isSunOn = true
end


function tick(dt)

	if coolDown > 0 then
		coolDown = coolDown - 1
	end

	if GetString("game.player.tool") == "lightswitch" and InputDown("usetool") and coolDown == 0 then
		if isSunOn then
			PlaySound(click, GetPlayerTransform().pos, 2.0)
			SetEnvironmentProperty("skyboxtint", 0.0, 0.0, 0.0)
			SetEnvironmentProperty("skyboxbrightness", 0)
			SetEnvironmentProperty("constant", 0, 0, 0)
			SetEnvironmentProperty("fogcolor", 0.0, 0.0, 0.0)
			SetEnvironmentProperty("nightlight", false)
			SetEnvironmentProperty("sundir", 0, -30, 0)

			isSunOn = false
			coolDown = 50
		else
			PlaySound(click, GetPlayerTransform().pos, 2.0)
			SetEnvironmentProperty("skyboxtint", def_sky_r,def_sky_g,def_sky_b)
			SetEnvironmentProperty("skyboxbrightness", def_skyboxbrightness)
			SetEnvironmentProperty("constant", def_constant)
			SetEnvironmentProperty("fogcolor", def_fog_r,def_fog_g,def_fog_b)
			SetEnvironmentProperty("nightlight", def_nightlight)
			SetEnvironmentProperty("sundir", def_sundir)

			isSunOn = true
			coolDown = 50
		end
	end
end


